Skip to main content
POST
/
case
/
id
/
{caseId}
/
esig
/
{language}
Acknowledge E-Signature
curl --request POST \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signatureType": "electronic",
  "signature": "John Hancock"
}
'
import requests

url = "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"

payload = {
"signatureType": "electronic",
"signature": "John Hancock"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatureType: 'electronic', signature: 'John Hancock'})
};

fetch('https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

language
enum<string>
required

The desired language for the legal document. Must be an ISO 639-1 code. Currently, the only supported value is en (English). If an unsupported language is requested, the call still succeeds but returns an English version of the document.

Available options:
en
caseId
string
required

The ID of the case.

Body

application/json
signatureType
enum<string>
required
Available options:
electronic,
manual
signature
string
required

For candidates who onboarded using KarmaCheck's onboarding experience, the value that the candidate entered into the signature input field on the legal step. This might not be exactly the same as the name that the case was ordered under.

Response

OK